#!/system/bin/sh

if busybox test ! -f /data/local/tmp/recovery.img; then
	echo no /data/local/tmp/recovery.img
	exit 1
fi

cat /data/local/tmp/recovery.img > /dev/block/nandg
sync; sync; sync

echo done
